分享主题:linux,nginx,php,mysql

composer添加国内镜像源,composer requires catfan/medoo, it could not be found in any version,composer无法下载 medoo,依赖

php7 现在加入小程序俱乐部QQ群:483987340

使用composer管理依赖,
有时会遇到下面的提示:
Your requirements could not be resolved to an installable set of packages.
Problem 1
– Root composer.json requires catfan/medoo, it could not be found in any version, there may be a typo in the package name.

意思是找不到相关的依赖,
解决的方法就是更换镜像源,

composer.json中添加

{
    "repositories":{
        "packagist":{
            "type":"composer"
            ,"url":"https://mirrors.aliyun.com/composer/"
        }
    }
}

或者全局配置
composer config -g repo.packagist composer https://mirrors.aliyun.com/composer/

composer查看镜像源

composer查看使用的镜像源

composer config -l -g
[repositories.packagist.org.type] composer
[repositories.packagist.org.url] https://mirrors.aliyun.com/composer/
[process-timeout] 300
[use-include-path] false
[preferred-install] auto
[notify-on-install] true

其中 repositories.packagist.org.url 表示正在使用的镜像源。

猛击这里
观看子恒老师《微信小程序支付开发实战》系列视频
了解实现过程和下载相关源代码

声明:本文仅供交流学习 , 版权归属原作者,部分文章未能及时与原作者取得联系,若来源标注错误或侵犯到您的权益烦请告知QQ:58842997,我们会及时删除。
秦子恒公众号

来源:秦子恒博客,欢迎转载分享,请保留出处

composer添加国内镜像源,composer requires catfan/medoo, it could not be found in any version,composer无法下载 medoo,依赖链接:https://www.qinziheng.com/php7/9720.htm

现在就加入微信开发QQ群2:483987340,跟同行探讨微信公众平台开发。群满就关闭,你得等到下一个群开通才能加入……

喜欢 (0)